import type { SqliteCredentials } from "../validations/sqlite";
import type { SQLiteDB } from "../../utils";
import { Casing } from "../validations/common";
export declare const connectToSQLite: (credentials: SqliteCredentials) => Promise<SQLiteDB>;
export declare const sqliteIntrospect: (credentials: SqliteCredentials, filters: string[], casing: Casing) => Promise<{
    schema: {
        tables: Record<string, {
            name: string;
            columns: Record<string, {
                name: string;
                type: string;
                primaryKey: boolean;
                notNull: boolean;
                default?: any;
                autoincrement?: boolean | undefined;
            }>;
            indexes: Record<string, {
                name: string;
                columns: string[];
                isUnique: boolean;
                where?: string | undefined;
            }>;
            foreignKeys: Record<string, {
                name: string;
                tableFrom: string;
                columnsFrom: string[];
                tableTo: string;
                columnsTo: string[];
                onUpdate?: string | undefined;
                onDelete?: string | undefined;
            }>;
            compositePrimaryKeys: Record<string, {
                columns: string[];
                name?: string | undefined;
            }>;
            uniqueConstraints: Record<string, {
                name: string;
                columns: string[];
            }>;
        }>;
        id: string;
        prevId: string;
        version: "5";
        dialect: "sqlite";
        _meta: {
            columns: Record<string, string>;
            tables: Record<string, string>;
        };
        enums: {};
    };
    ts: {
        file: string;
        imports: string;
        decalrations: string;
        schemaEntry: string;
    };
}>;
export declare const sqlitePushIntrospect: (db: SQLiteDB, filters: string[]) => Promise<{
    schema: {
        tables: Record<string, {
            name: string;
            columns: Record<string, {
                name: string;
                type: string;
                primaryKey: boolean;
                notNull: boolean;
                default?: any;
                autoincrement?: boolean | undefined;
            }>;
            indexes: Record<string, {
                name: string;
                columns: string[];
                isUnique: boolean;
                where?: string | undefined;
            }>;
            foreignKeys: Record<string, {
                name: string;
                tableFrom: string;
                columnsFrom: string[];
                tableTo: string;
                columnsTo: string[];
                onUpdate?: string | undefined;
                onDelete?: string | undefined;
            }>;
            compositePrimaryKeys: Record<string, {
                columns: string[];
                name?: string | undefined;
            }>;
            uniqueConstraints: Record<string, {
                name: string;
                columns: string[];
            }>;
        }>;
        id: string;
        prevId: string;
        version: "5";
        dialect: "sqlite";
        _meta: {
            columns: Record<string, string>;
            tables: Record<string, string>;
        };
        enums: {};
    };
}>;
