import { TypeOf } from "zod";
export declare const mysqlCredentials: import("zod").ZodUnion<[import("zod").ZodObject<{
    host: import("zod").ZodString;
    port: import("zod").ZodOptional<import("zod").ZodNumber>;
    user: import("zod").ZodDefault<import("zod").ZodString>;
    password: import("zod").ZodOptional<import("zod").ZodString>;
    database: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    host: string;
    user: string;
    database: string;
    port?: number | undefined;
    password?: string | undefined;
}, {
    host: string;
    database: string;
    port?: number | undefined;
    user?: string | undefined;
    password?: string | undefined;
}>, import("zod").ZodObject<{
    uri: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    uri: string;
}, {
    uri: string;
}>, import("zod").ZodObject<{
    connectionString: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    connectionString: string;
}, {
    connectionString: string;
}>]>;
export type MysqlCredentials = TypeOf<typeof mysqlCredentials>;
export declare const printCliConnectionIssues: (options: any) => void;
export declare const printConfigConnectionIssues: (options: Record<string, unknown>) => void;
