import { TypeOf } from "zod";
export declare const postgresCredentials: import("zod").ZodUnion<[import("zod").ZodObject<{
    driver: import("zod").ZodLiteral<"pg">;
    host: import("zod").ZodString;
    port: import("zod").ZodOptional<import("zod").ZodNumber>;
    user: import("zod").ZodDefault<import("zod").ZodString>;
    password: import("zod").ZodOptional<import("zod").ZodString>;
    database: import("zod").ZodString;
    ssl: import("zod").ZodOptional<import("zod").ZodBoolean>;
}, "strip", import("zod").ZodTypeAny, {
    driver: "pg";
    host: string;
    user: string;
    database: string;
    port?: number | undefined;
    password?: string | undefined;
    ssl?: boolean | undefined;
}, {
    driver: "pg";
    host: string;
    database: string;
    port?: number | undefined;
    user?: string | undefined;
    password?: string | undefined;
    ssl?: boolean | undefined;
}>, import("zod").ZodObject<{
    driver: import("zod").ZodLiteral<"pg">;
    connectionString: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    driver: "pg";
    connectionString: string;
}, {
    driver: "pg";
    connectionString: string;
}>]>;
export type PostgresCredentials = TypeOf<typeof postgresCredentials>;
export declare const printConfigConnectionIssues: (options: Record<string, unknown>) => void;
